module.exports = function(ins, callback) {
	var limit = ins.getOption(ins.check.limit, 100),
		cmd = 'free';
	ins.shell(cmd, function(error, result) {
		var status, msg, output, values;
		output = result;
		if(error) {
			status = false;
			msg = error.toString();
			values = {};
		} else {
			var lines = result.trim().split(/\n/);
			var line = lines[2].trim();
			var parts = line.split(/\s+/);
			values = {
				total: parts[1],
				used: parts[2],
				free: parts[3],
				shared: parts[4],
				buffers: parts[5],
				cached: parts[6],
				percent: Math.round(100/parts[1]*parts[2])
			};
			msg = 'Memory usage at '+values.percent+'%';
			if(values.percent>limit) {
				msg += ', above limit of '+limit+'%';
				status = false;
			} else {
				status = true;
			}
		}
		callback(status, msg, output, values);
	});
};
